Bug 675285 - Passing --arches to fedpkg scratch-build still builds all the arches
Summary: Passing --arches to fedpkg scratch-build still builds all the arches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-04 19:21 UTC by Brian Lane
Modified: 2013-01-10 06:26 UTC (History)
2 users (show)

Fixed In Version: fedora-packager-0.5.5.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-22 18:50:06 UTC


Attachments (Terms of Use)

Description Brian Lane 2011-02-04 19:21:49 UTC
When running fedpkg --dist=rawhide scratch-build --arches=x86_64 --srpm=livecd-tools-15.4-1.fc15.src.rpm I expected it to only build the x86_64 arch, instead it still built all 3:

Building livecd-tools-15.4-1.fc15 for dist-rawhide
Created task: 2762765
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2762765
Watching tasks (this may be safely interrupted)...
2762765 build (dist-rawhide, livecd-tools-15.4-1.fc15.src.rpm): free
2762765 build (dist-rawhide, livecd-tools-15.4-1.fc15.src.rpm): free -> open (ppc06.phx2.fedoraproject.org)
  2762767 buildArch (livecd-tools-15.4-1.fc15.src.rpm, i686): free
  2762766 buildArch (livecd-tools-15.4-1.fc15.src.rpm, x86_64): open (x86-12.phx2.fedoraproject.org)
  2762767 buildArch (livecd-tools-15.4-1.fc15.src.rpm, i686): free -> open (x86-06.phx2.fedoraproject.org)
  2762766 buildArch (livecd-tools-15.4-1.fc15.src.rpm, x86_64): open (x86-12.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  2762767 buildArch (livecd-tools-15.4-1.fc15.src.rpm, i686): open (x86-06.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
2762765 build (dist-rawhide, livecd-tools-15.4-1.fc15.src.rpm): open (ppc06.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

2762765 build (dist-rawhide, livecd-tools-15.4-1.fc15.src.rpm) completed successfully

I was trying to save builder resources :)

Comment 1 Jesse Keating 2011-02-04 22:13:00 UTC
Yeah, I think this was just not wired up like I thought it was.  Whoops.

Comment 2 Jesse Keating 2011-02-08 23:09:39 UTC
Just fixed this upstream, should be in the next build.

Comment 3 Fedora Update System 2011-02-10 21:40:42 UTC
fedora-packager-0.5.5.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc14

Comment 4 Fedora Update System 2011-02-10 22:03:12 UTC
fedora-packager-0.5.5.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc13

Comment 5 Fedora Update System 2011-02-10 22:22:29 UTC
fedora-packager-0.5.5.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.el5

Comment 6 Fedora Update System 2011-02-10 22:40:33 UTC
fedora-packager-0.5.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.el6

Comment 7 Fedora Update System 2011-02-10 22:44:18 UTC
fedora-packager-0.5.5.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc15

Comment 8 Fedora Update System 2011-02-10 23:12:28 UTC
fedora-packager-0.5.5.0-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.fc15

Comment 9 Fedora Update System 2011-02-12 21:33:52 UTC
fedora-packager-0.5.5.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc15

Comment 10 Fedora Update System 2011-02-21 22:46:39 UTC
fedora-packager-0.5.5.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc14

Comment 11 Fedora Update System 2011-02-21 22:47:08 UTC
fedora-packager-0.5.5.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc14

Comment 12 Fedora Update System 2011-02-21 22:49:11 UTC
fedora-packager-0.5.5.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.fc13

Comment 13 Fedora Update System 2011-02-21 22:53:30 UTC
fedora-packager-0.5.5.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.el6

Comment 14 Fedora Update System 2011-02-21 23:01:29 UTC
fedora-packager-0.5.5.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.el5

Comment 15 Fedora Update System 2011-02-22 18:49:36 UTC
fedora-packager-0.5.5.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-02-22 18:50:49 UTC
fedora-packager-0.5.5.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-02-23 21:51:50 UTC
fedora-packager-0.5.5.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-02-28 23:57:02 UTC
fedora-packager-0.5.5.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-03-03 03:23:56 UTC
fedora-packager-0.5.5.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.